/* UGent theme.
 *
 * Copyright (C) 1999, 2000 The SourceForge Crew
 * Copyright (C) 2005 Kathelijne.Sierens <Kathelijne.Sierens@UGent.be>
 * Copyright (C) 2000-2006 Mathieu Roy <yeupou--gnu.org>
 * Copyright (C) 2014, 2016, 2017 Assaf Gordon
 * Copyright (C) 2001-2011, 2013, 2017 Sylvain Beucler
 * Copyright (C) 2013, 2014, 2017-2025 Ineiev
 *
 * This file is part of Savane.
 *
 * Code written before 2008-03-30 (commit 8b757b2565ff) is distributed
 * under the terms of the GNU General Public license version 3 or (at your
 * option) any later version; further contributions are covered by
 * the GNU Affero General Public license version 3 or (at your option)
 * any later version.  The license notices for the AGPL and the GPL follow.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Savane is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Savane is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* GUIDELINES VERSION FOLLOWED: 1.18 */

@import "internal/base.css";

/* Very basic (mostly text) items: */

body {
	margin-top: 2px;
	margin-left: 2px;
	margin-right: 2px;
	margin-bottom: 2px;
	background-color: white;
	color: black;
}

a {
	text-decoration: none;
	color: #369;
}
a:hover {
	text-decoration: underline;
	color: #69C;
}
a:active {
	color: #69C;
}


.unavailable, .unavailable:hover
{
  color: #4d4d46;
}


.footer { font-size: x-small; color: black; }

/* Titles */

/* <h1> Page title */
/* <h2> Section title */

h1 { color:#369; }
h1 { color:#333;}
h2 {
	background-color: white;
	text-indent: 1em;
	border-top: solid thin black;
	border-bottom: solid thin black;
	color:#333;
}

/* <h3> Small section title */
/* <h4> Input form label */
h4 {
	margin: 1px 1px 1px 1px;
	background-color: white;
	border-top: solid thin black;
	border-bottom: solid thin black;
	color: black;
}

.highlight {
	background-color: white;
	color: #69C;
}


/* Alignment, main tables */

.realbody {  border-spacing: 4; border: 0; }
.main { vertical-align: top;
	margin-left: 160px; border-spacing: 0; border: 0; }


/* Menus */

.menu {
	vertical-align: top;
	width: 150px;
	border-spacing: 0;
	border: 0;
	font-size: smaller;
}

.menutitle {
	background-color: #69C;
	border: 1px solid #e1e1e1;
	color: white;
	vertical-align: top;
	font-weight: bold;
	text-align: center;
}

.menuitem {
	vertical-align: top;
	text-align: left;
	background-color: #ECEFF8;
	border: 1px solid #e1e1e1;

}

.menusearch {
	font-size: xx-small;
	background-color: #ECEFF8;

	border: 1px solid #e1e1e1;
}

.menulink {
	color: #369;
}
.menuitem:hover {
	background-color: white;
	border: thin outset white;
	color: #69C;
}

.menulink:hover {
	background-color: #ECEFF8;
	color: #69C;
	text-decoration: none;
}

.topmenu {
	width: 100%;
}

.topmenutitle {
	background-color: #369;
	border: thin outset #369;
	font-weight: bold;
	text-align: center;
	color: white;
	padding: 0;
}

.topmenuitemmainitem {
        color: white;
	margin-left: 15%;
	padding-left: 1%;
	background-color: #369;
	border: thin outset #369;
}
.topmenuitemmainitem a { color: white; }
.topmenuitemmainitem a:hover { color: #FC0; }

ul.topmenuitemsubmenu {
        background-color: #F4FFFE;
        border: thin solid #0869bc;
}

ul.topmenuitemsubmenu li {
        background-color: #F4FFFE;
        border: 0;
        border-bottom: solid thin #E4EEED;
        border-left: 0.5em solid #B0B0B0;
}

ul.topmenuitemsubmenu li a { color: gray }

li.topmenuitemsubmenu:hover {
        background-color: #cef0f0;
        color: black;
        border-left: 0.5em solid #0869bc;
}

li.topmenuitemsubmenu a:hover {
        color: black;
        background-color: #b3e2e3;
        text-decoration: none;
}

li.topmenuitemsubmenuseparator {
        background-color: #b3e2e3;
}


.tabs {
	color: green;
}
.tabselect {
	color: green;
	font-weight: bold;
	text-decoration: underline;
}
.tabselect:hover {
	color: black;
}


/* Boxes */

.box {
	background-color: #F2F5FE;
	border-top: 2px outset #F2F5FE;
	border-left: 2px outset #F2F5FE;
	border-right: 2px outset #F2F5FE;
	border-bottom: 1px outset #F2F5FE;
	border-spacing: 0;
	color: black;
}

.boxtitle {
	background-color: #369;
	font-weight: bold;
	text-align: center;
	color: white;
}

.boxtitle a {
	color: white;
	text-decoration: underline;
}
.boxtitle a:hover {
	color: #FC0;
}

.boxitem {
          border-bottom: 1px solid #e1e1e1;
}
.boxitemalt {
	background-color: white;
	border-bottom: 1px solid white;

}
.boxhighlight {
	background-color: red;

	color: black;
}

.boxoptions {
	text-align: left;
	background-color: #eeeee6;
	border: thin solid #a3a292;
	color: black;
}

/* Forms */
button,input {
	background-color: white;
	color: black;
}
select {
	background-color: white;
	color: black;
}
textarea {
	background-color: white;
	color: black;
}

/* text before inputs */
.preinput {
	font-style: italic;
}

/* Priorities */
.priora {
	background-color: #fff2f2;
	border: 0;
	border-bottom: thin solid #ef6e6e;
}
.priorb {
	background-color: #ffe8e8;
	border: 0;
	border-bottom: thin solid #ef6e6e;
}
.priorc {
	background-color: #ffe0e0;
	border: 0;
	border-bottom: thin solid #ef6e6e;
}
.priord {
	background-color: #ffd8d8;
	border: 0;
	border-bottom: thin solid #ef6e6e;
}
.priore {
	background-color: #ffcece;
	border: 0;
	border-bottom: thin solid #ef6e6e;
}
.priorf {
	background-color: #ffc6c6;
	border: 0;
	border-bottom: thin solid #ef6e6e;
}
.priorg {
	background-color: #ffbfbf;
	border: 0;
	border-bottom: thin solid #ef6e6e;
}
.priorh {
	background-color: #ffb7b7;
	border: 0;
	border-bottom: thin solid #ef6e6e;
 }
.priori {
	background-color: #ffadad;
	border: 0;
	border-bottom: thin solid #ef6e6e;
}

.prioraclosed {
	background-color: #F5FFEB;
	border: 0;
	border-bottom: thin solid #51DA96;
}
.priorbclosed {
	background-color: #EDFFE6;
	border: 0;
	border-bottom: thin solid #51DA96;
}
.priorcclosed {
	background-color: #EEFFE1;
	border: 0;
	border-bottom: thin solid #51DA96;
}
.priordclosed {
	background-color: #E0FFD5;
	border: 0;
	border-bottom: thin solid #51DA96;
}
.prioreclosed {
	background-color: #CCFFBB;
	border: 0;
	border-bottom: thin solid #51DA96;
}
.priorfclosed {
	background-color: #C6FFB9;
	border: 0;
	border-bottom: thin solid #51DA96;
}
.priorgclosed {
	background-color: #C0FFB2;
	border: 0;
	border-bottom: thin solid #51DA96;
}
.priorhclosed {
	background-color: #ADFFA4;
	border: 0;
	border-bottom: thin solid #51DA96;
}
.prioriclosed {
	background-color: #A0FF9D;
	border: 0;
	border-bottom: thin solid #51DA96;
}
